#ifndef _MONTAGEMDIWINDOW_H_
#define _MONTAGEMDIWINDOW_H_

#include <qmainwindow.h>


class CVolume;
class CMontageView;
class MDIWindow;


class MontageMDIWindow : public QMainWindow
{
	Q_OBJECT

public:
	MontageMDIWindow( QWidget *parent=0, const char *name=0, WFlags f=0 );
	~MontageMDIWindow();
	
	bool init( CVolume *pVolume, int nSlice );

	void setMDIWindow( MDIWindow *pMDIWindow );
	
	MDIWindow *mdiWindow();
	CMontageView *montageView();
	CVolume *volume();
	
private:
	MDIWindow *m_pMDIWindow;
	CVolume *m_pVolume;
	CMontageView *m_pMontageView;
};

#endif // _MONTAGEMDIWINDOW_H_	
