#ifndef _RENDERINFODLG_H_
#define _RENDERINFODLG_H_

#include "global_define.h"
#include "define.h"
#include "../BaseDialog/Rendering/RenderInfoDlg_base.h"

class CRenderInfoDlg : public CRenderInfoDlg_base
{
	Q_OBJECT

public:
	CRenderInfoDlg( QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0 );
	~CRenderInfoDlg();

	bool init( RENDERINFO info );

	RENDERINFO renderInfo() { return m_ri; }

public slots:
	void slotOpacityMinChanged( int value );
	void slotOpacityMaxChanged( int value );

	void slotOk();
	void slotDefault();
	void slotCancel();

private:
	RENDERINFO m_ri;
};

#endif // _RENDERINFODLG_H_
