#ifndef _RESAMPLINGDLG_H_
#define _RESAMPLINGDLG_H_

#include "global_define.h"
#include "../BaseDialog/Image/ResamplingDlg_base.h"


class MDIWindow;
class CVolume;


class CResamplingDlg : public CResamplingDlg_base
{
	Q_OBJECT

public:
	CResamplingDlg( QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0 );
	~CResamplingDlg();

	bool init( MDIWindow *pMDIWindow );

public slots:
	void slotDirectory();
	void slotDirectoryChanged( const QString & );
	void slotKeywordChanged( const QString & );
	void slotTypeChanged( int );
	void slotStartChanged( int );
	void slotEndChanged( int );
	void slotOk();
	void slotCancel();

private:
	MDIWindow *m_pMDIWindow;

	CVolume *m_pVolume;

	int m_nType;
	WORD m_nDepth;
};

#endif // _RESAMPLINGDLG_H_
