/************************************************************************/
/* MGIBA: Mesh Generator for Image Based Analysis                       */
/* ==============================================                       */
/*                                                                      */
/* Written by Yongchul Kim (blksaint@freechal.com)                      */
/* http://www.diniworld.com                                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* Please read LICENSE.txt                                              */
/************************************************************************/


#ifndef _FEMODELINDEXRANGEDLG_H_
#define _FEMODELINDEXRANGEDLG_H_

#include "../BaseDialog/Image/FEModelIndexRangeDlg_base.h"

class CFEModelIndexRangeDlg : public CFEModelIndexRangeDlg_base
{
	Q_OBJECT

public:
	CFEModelIndexRangeDlg( QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0 );
	~CFEModelIndexRangeDlg();

	bool init( int min, int max );

public slots:
	void slotMinChanged( int value );
	void slotMaxChanged( int value );
	void slotOk();
	void slotCancel();
}; // end of class CFEModelIndexRangeDlg

#endif // _FEMODELINDEXRANGEDLG_H_
