#ifndef _MULTILINEEDITDLG_H_
#define _MULTILINEEDITDLG_H_

#include "global_define.h"
#include "../BaseDialog/Report/MultiLineEditDlg_base.h"

class CMultiLineEditDlg : public CMultiLineEditDlg_base
{
	Q_OBJECT
public:
	CMultiLineEditDlg( QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0 );
	~CMultiLineEditDlg();

	bool init( QString fname, QString caption,
				bool bSave=true, bool bEdit=false, bool bShowFrame=true );

	bool init( QString caption=NULL );

public slots:
	void slotOk();
	void slotSave();

protected:
	virtual void resizeEvent( QResizeEvent * );

private:
	bool m_bShowFrame;
};

#endif // _MULTILINEEDITDLG_H_
