#ifndef __LINK_H__
#define __LINK_H__

#include <stdlib.h>		// size_t

struct MY_NODE
{
	typedef unsigned long Item;
	Item data;
	MY_NODE *link;
};

size_t list_length( MY_NODE * head_ptr );
void list_head_insert( MY_NODE *& head_ptr, const MY_NODE::Item & entry );
void list_insert( MY_NODE * previous_ptr, const MY_NODE::Item & entry );
MY_NODE * list_search( MY_NODE * head_ptr, const MY_NODE::Item & target );
MY_NODE * list_locate(MY_NODE * head_ptr, size_t position );
void list_head_remove( MY_NODE *& head_ptr );
void list_remove( MY_NODE * previous_ptr );
void list_clear( MY_NODE *& head_ptr );
void list_copy( MY_NODE * source_ptr, MY_NODE *& head_ptr, MY_NODE *& tail_ptr );
void list_piece(
		MY_NODE * start_ptr, MY_NODE * end_ptr,
		MY_NODE *& head_ptr, MY_NODE *& tail_ptr );

// #include "link.cpp"
#endif
