/************************************************************************/
/* MGIBA: Mesh Generator for Image Based Analysis                       */
/* ==============================================                       */
/*                                                                      */
/* Written by Yongchul Kim (blksaint@freechal.com)                      */
/* http://www.diniworld.com                                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* Please read LICENSE.txt                                              */
/************************************************************************/


#include "AboutDlg.h"
#include <qpushbutton.h>

CAboutDlg::CAboutDlg( QWidget *parent, const char *name, bool modal, WFlags f )
	: CAboutDlg_base( parent, name, modal, f )
{
	connect( IDC_BTN_OK, SIGNAL( clicked() ), this, SLOT( slotOk() ) );
} /* CAboutDlg */

CAboutDlg::~CAboutDlg()
{
} /* ~CAboutDlg */

// slot
void CAboutDlg::slotOk()
{
	QDialog::accept();
} /* slotOk */
