#include <math.h>
#include <stdio.h>
#include <iostream.h>

int main()
{
	FILE *PFILE;
	PFILE = fopen( "test.txt", "r" );

	int img[29][16];
	int nimg[29][16];
	int i;
	float iSum=0.0;
	float mean=0.0;

	int sobh[3][3] = {
		{ 1,  2,  1},
		{ 0,  0,  0},
		{-1, -2, -1} };
	int sobw[3][3] = {
		{ 1, 0,-1},
		{ 2, 0,-2},
		{ 1, 0,-1} };
	int j, m, n;
	int wpix, hpix;

	for ( i=0 ; i<29 ; i++ )
	{
		for( j=0 ; j<16 ; j++ )
		{
			fscanf( PFILE, "%d", &img[i][j] );
		}
	}

	fclose( PFILE );

	for ( i=1 ; i<28 ; i++ )
	{
		for( j=1 ; j<15 ; j++ )
		{
			int whpix = 0;
			wpix = 0;
			for(m=-1;m<=1;m++)
			{
				for(n=-1;n<=1;n++)
				{
					wpix += img[i+m][j+n] * sobw[m+1][n+1];
				}
			}

			hpix = 0;
			for(m=-1;m<=1;m++)
			{
				for(n=-1;n<=1;n++)
				{
					hpix += img[i+m][j+n] * sobh[m+1][n+1];
				}
			}

			// ABS with nomalize
			whpix = abs(hpix)/8 + abs(wpix)/8;
		
			if ( whpix > 255 ) whpix = 255;
			if ( whpix <0 ) whpix = 0;
		
			nimg[i][j] = whpix;

			iSum += whpix;
		}
	}
	// 5. threshold

	mean = (float)iSum / (29*16);

	FILE *RESULT;
	RESULT = fopen( "result.txt", "w" );

	for ( i=0 ; i<29 ; i++ )
	{
		for ( j=0 ; j<16 ; j++ )
		{
			if ( nimg[i][j] > mean ) img[i][j] = 255;
				else img[i][j] = 0;
		
			if ( (j+1)%16 ) fprintf( RESULT, "%6d",img[i][j] );
			else fprintf( RESULT, "%6d\n",img[i][j] );

		}
	}

	fclose( RESULT );

	return 0;
}